package repository

import (
	entity "gitlab.com/mbugroup/lti-api.git/internal/entities"
	"gitlab.com/mbugroup/lti-api.git/internal/common/repository"
	"gorm.io/gorm"
)

type EmployeesRepository interface {
	repository.BaseRepository[entity.Employees]
}

type EmployeesRepositoryImpl struct {
	*repository.BaseRepositoryImpl[entity.Employees]
}

func NewEmployeesRepository(db *gorm.DB) EmployeesRepository {
	return &EmployeesRepositoryImpl{
		BaseRepositoryImpl: repository.NewBaseRepository[entity.Employees](db),
	}
}
